*** Pupil Booklet saved as P1 with IDPUPIL as the link variable ***.
set width=150.
set length=60.

GET
  FILE='C:\WinDem\SACMEQ2\bot\pb_bot.SAV'.
EXECUTE .

*************** SPECIAL CORRECTION FOR BOTSWANA ********************.
compute IDREG=number(region,f3.0).
compute region=string(IDREG,f3.0).
compute IDDIST=number(district,f3.0).
compute district=string(IDDIST,f3.0).
*************** SPECIAL CORRECTION FOR BOTSWANA ********************.

string idschool (a10).
compute idschool =string(school,f10).

string class (a3).
if pclass=1 class="A".
if pclass=2 class="B".
if pclass=3 class="C".
if pclass=4 class="D".
if pclass=5 class="E".
if pclass=6 class="F".
string idclass (a13).
compute idclass=concat(idschool,class).

compute idpupil=school*1000+pupil.
formats idpupil (f13.0).

sort cases by idpupil (a).
save outfile 'C:\WinDem\SACMEQ2\bot\P1.SAV' /drop IDREG IDDIST.

*** Pupil Name Form saved as P2 with IDPUPIL as the link variable ***.

GET
  FILE='C:\WinDem\SACMEQ2\bot\pnf_bot.SAV'.
EXECUTE .

*************** SPECIAL CORRECTION FOR BOTSWANA ********************.
compute IDREG=number(region,f3.0).
compute region=string(IDREG,f3.0).
compute IDDIST=number(district,f3.0).
compute district=string(IDDIST,f3.0).
*************** SPECIAL CORRECTION FOR BOTSWANA ********************.

string idschool (a10).
compute idschool=string(school,f10).

string idclass (a13).
compute idclass=concat(idschool,substr(ltrim(pfclass),2)).

compute idpupil=school*1000+ pfpupil.
formats idpupil (f13.0).

sort cases by idpupil (a).
save outfile 'C:\WinDem\SACMEQ2\bot\P2.SAV' /drop IDREG IDDIST.

*** School Head Questionnaired saved as S1 with IDSCHOOL as the link variable ***.

GET
  FILE='C:\WinDem\SACMEQ2\bot\shq_bot.SAV' .
EXECUTE .

*************** SPECIAL CORRECTION FOR BOTSWANA ********************.
compute IDREG=number(region,f3.0).
compute region=string(IDREG,f3.0).
compute IDDIST=number(district,f3.0).
compute district=string(IDDIST,f3.0).
If school=1626 stchtot1=15.
If school=1626 stchseco=14.
If school=1626 stchtot2=15.
If school=514 stch2yr=13.
If school=514 stchtot3=15.
If school=405 stchprim=22.
If school=405 stch2yr=18.
If school=405 stchtot2=22.
If school=602 stchtot1=32.
If school=1206 stch3yr=23.
If school=1206 stchtot3=28.
If school=2107 stchpf=21.
If school=2107 stchtot1=29.
If school=2727 stchseco=19.
If school=2727 stchtot2=21.
If school=2606 stchseco=28.
If school=122 stchpf=19.
If school=425 stch2yr=24.
If school=1414 stchpf=32.
If school=1421 stchpf=25.
If school=902 stchpf=9.
If school=1801 stch2yr=25.
If school=1820 stchseco=25.
If school=2734 stchseco=30.
if school=326 spupboy =449.
if school=326 spupgirl=342.
If school=509 ssess1p=701.
If school=1212 ssess1p=498.
If school=1212 ssess2p=385.
If school=1307 ssess1p=383.
If school=2120 ssess1p=439.
If school=2120 ssess2p=223.
If school=2703 ssess1p=549.
If school=2703 ssess2p=324.
*************** SPECIAL CORRECTION FOR BOTSWANA ********************.

string idschool (a10).
compute idschool=string(school,f10).

sort cases by idschool (a).
save outfile 'C:\WinDem\SACMEQ2\bot\S1.SAV' /drop IDREG IDDIST.

*** School Form saved as S2 with IDCLASS as the link variable ***.

GET
  FILE='C:\WinDem\SACMEQ2\bot\sf_bot.SAV' .
EXECUTE .

*************** SPECIAL CORRECTION FOR BOTSWANA ********************.
compute IDREG=number(region,f3.0).
compute region=string(IDREG,f3.0).
compute IDDIST=number(district,f3.0).
compute district=string(IDDIST,f3.0).
if school= 518 sfpupg6= 126 .
if school= 524 sfpupg6= 74 .
if school= 705 sfpupg6= 87 .
if school= 808 sfpupg6= 136 .
if school= 823 sfpupg6= 56 .
if school= 824 sfpupg6= 79 .
if school= 1204 sfpupg6= 103 .
if school= 1414 sfpupg6= 110 .
if school= 1708 sfpupg6= 34 .
if school= 1820 sfpupg6= 128 .
if school= 2010 sfpupg6= 177 .
if school= 2217 sfpupg6= 83 .
if school= 2701 sfpupg6= 132 .
if school= 2703 sfpupg6= 120 .
if school= 2709 sfpupg6= 83 .
if school= 2712 sfpupg6= 150 .
if school= 2720 sfpupg6= 83 .
if school= 2727 sfpupg6= 105 .
if school= 2734 sfpupg6= 152 .
if school= 2735 sfpupg6= 147 .
if school= 2907 sfpupg6= 139 .
if school=  710   sfenrol=727.
*************** SPECIAL CORRECTION FOR BOTSWANA ********************.

string idschool (a10).
compute idschool =string(school,f10.0).

string idclass (a13).
compute idclass=concat(idschool,substr(ltrim(sfclass),2)) .
execute.

sort cases by idclass (a).
save outfile 'C:\WinDem\SACMEQ2\bot\S2.SAV' /drop IDREG IDDIST.

*** Teacher Booklet for Reading Teachers saved as T1 with IDCL (IDCLASS+FLAG) as the link variable ***.
*** Teacher control file for Reading Teachers saved as TS1 with IDCLASS as the link variable ***.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=710 and idteach="E01" t6a_e=1.
if school=1212 and idteach="E01" t6a_e=1. 
if school=1414 and idteach="E01" t6a_e=1. 
if school=1619 and idteach="E01" t6a_e=1. 
if school=1807 and idteach="E01" t6a_e=1. 
if school=2217 and idteach="E01" t6a_e=1. 
if school=2610 and idteach="E01" t6a_e=1. 
if school=2718 and idteach="E01" t6a_e=1. 
if school=2801 and idteach="E01" t6a_e=1. 

compute HDTE=0.

Do if (school=123 and idteach="E03").
 compute t6a_e=2.
 compute t6a_ep=26.
 compute HDTE=1.
End if.

Do if (school=710 and idteach="E03").
 compute t6a_e=2.
 compute t6a_ep=29.
 compute HDTE=1.
End if.

Do if (school=1212 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=26.
 compute HDTE=1.
End if.

Do if (school=1321 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=26.
 compute HDTE=1.
End if.

Do if (school=1414 and idteach="E03").
 compute t6a_e=2.
 compute t6a_ep=27.
 compute HDTE=1.
End if.

Do if (school=1619 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=29.
 compute HDTE=1.
End if.

Do if (school=1807 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=24.
 compute HDTE=1.
End if.

Do if (school=1818 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=31.
 compute HDTE=1.
End if.

Do if (school=2217 and idteach="E03").
 compute t6a_e=2.
 compute t6a_ep=30.
 compute HDTE=1.
End if.

Do if (school=2610 and idteach="E03").
 compute t6a_e=2.
 compute t6a_ep=30.
 compute HDTE=1.
End if.

Do if (school=2718 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=29.
 compute HDTE=1.
End if.

Do if (school=2735 and idteach="E03").
 compute t6a_e=2.
 compute t6a_ep=36.
 compute HDTE=1.
End if.

Do if (school=2801 and idteach="E02").
 compute t6a_e=2.
 compute t6a_ep=17.
 compute HDTE=1.
End if.

select if (t6a_e =2).
string xclass (a3).
compute xclass="A".
compute xclsize= t6a_ep.
formats xclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6AR.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=705 and idteach="E02" t6b_e=1.
if school=902 and idteach="E02" t6b_e=1.
if school=1608 and idteach="E02" t6b_e=1.
if school=2217 and idteach="E02" t6b_e=1. 
if school=2513 and idteach="E02" t6b_e=1. 
if school=2711 and idteach="E02" t6b_e=1. 

compute HDTE=0.

Do if (school=518 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=31.
 compute HDTE=1.
End if.

Do if (school=607 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=30.
 compute HDTE=1.
End if.

Do if (school=705 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=29.
 compute HDTE=1.
End if.

Do if (school=707 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=25.
 compute HDTE=1.
End if.

Do if (school=710 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=30.
 compute HDTE=1.
End if.

Do if (school=902 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=30.
 compute HDTE=1.
End if.

Do if (school=903 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=27.
 compute HDTE=1.
End if.

Do if (school=1202 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=31.
 compute HDTE=1.
End if.

Do if (school=1205 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=29.
 compute HDTE=1.
End if.

Do if (school=1414 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=27.
 compute HDTE=1.
End if.

Do if (school=1421 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=30.
 compute HDTE=1.
End if.

Do if (school=1608 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=18.
 compute HDTE=1.
End if.

Do if (school=1820 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=32.
 compute HDTE=1.
End if.

Do if (school=1903 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=28.
 compute HDTE=1.
End if.

Do if (school=2208 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=35.
 compute HDTE=1.
End if.

Do if (school=2217 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=28.
 compute HDTE=1.
End if.

Do if (school=2219 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=29.
 compute HDTE=1.
End if.

Do if (school=2513 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=27.
 compute HDTE=1.
End if.

Do if (school=2606 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=32.
 compute HDTE=1.
End if.

Do if (school=2610 and idteach="E04").
 compute t6b_e=2.
 compute t6b_ep=31.
 compute HDTE=1.
End if.

Do if (school=2614 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=36.
 compute HDTE=1.
End if.

Do if (school=2620 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=35.
 compute HDTE=1.
End if.

Do if (school=2701 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=32.
 compute HDTE=1.
End if.

Do if (school=2706 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=34.
 compute HDTE=1.
End if.

Do if (school=2711 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=33.
 compute HDTE=1.
End if.

Do if (school=2712 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=38.
 compute HDTE=1.
End if.

Do if (school=2713 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=30.
 compute HDTE=1.
End if.

Do if (school=2717 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=35.
 compute HDTE=1.
End if.

Do if (school=2723 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=35.
 compute HDTE=1.
End if.

Do if (school=2734 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=39.
 compute HDTE=1.
End if.

Do if (school=2735 and idteach="E04").
 compute t6b_e=2.
 compute t6b_ep=35.
 compute HDTE=1.
End if.

Do if (school=2907 and idteach="E01").
 compute t6b_e=2.
 compute t6b_ep=34.
 compute HDTE=1.
End if.

Do if (school=3007 and idteach="E03").
 compute t6b_e=2.
 compute t6b_ep=34.
 compute HDTE=1.
End if.

select if (t6b_e =2).
string xclass (a3).
compute xclass="B".
compute xclsize= t6b_ep.
formats xclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6BR.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=1204 and idteach="E03" t6c_e=1 .
if school=2010 and idteach="E03" t6c_e=1 .
if school=2107 and idteach="E03" t6c_e=1 .
if school=2207 and idteach="E03" t6c_e=1 .
if school=2717 and idteach="E03" t6c_e=1 .

compute HDTE=0.

Do if (school=717 and idteach="E02").
 compute t6c_e=2.
 compute t6c_ep=31.
 compute HDTE=1.
End if.

Do if (school=808 and idteach="E02").
 compute t6c_e=2.
 compute t6c_ep=34.
 compute HDTE=1.
End if.

Do if (school=1132 and idteach="E02").
 compute t6c_e=2.
 compute t6c_ep=35.
 compute HDTE=1.
End if.

Do if (school=1204 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=35.
 compute HDTE=1.
End if.

Do if (school=1206 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=31.
 compute HDTE=1.
End if.

Do if (school=1212 and idteach="E04").
 compute t6c_e=2.
 compute t6c_ep=30.
 compute HDTE=1.
End if.

Do if (school=1407 and idteach="E02").
 compute t6c_e=2.
 compute t6c_ep=30.
 compute HDTE=1.
End if.

Do if (school=1805 and idteach="E02").
 compute t6c_e=2.
 compute t6c_ep=35.
 compute HDTE=1.
End if.

Do if (school=2010 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=36.
 compute HDTE=1.
End if.

Do if (school=2107 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=34.
 compute HDTE=1.
End if.

Do if (school=2207 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=27.
 compute HDTE=1.
End if.

Do if (school=2306 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=30.
 compute HDTE=1.
End if.

Do if (school=2607 and idteach="E02").
 compute t6c_e=2.
 compute t6c_ep=29.
 compute HDTE=1.
End if.

Do if (school=2703 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=32.
 compute HDTE=1.
End if.

Do if (school=2717 and idteach="E01").
 compute t6c_e=2.
 compute t6c_ep=33.
 compute HDTE=1.
End if.

select if (t6c_e =2).
string xclass (a3).
compute xclass="C".
compute xclsize= t6c_ep.
formats xclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6CR.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=710 and idteach="E04" t6d_e=1.
if school=2701 and idteach="E04" t6d_e=1.
if school=2703 and idteach="E04" t6d_e=1.

compute HDTE=0.

Do if (school=710 and idteach="E03").
 compute t6d_e=2.
 compute t6d_ep=30.
 compute HDTE=1.
End if.

Do if (school=1805 and idteach="E05").
 compute t6d_e=2.
 compute t6d_ep=35.
 compute HDTE=1.
End if.

Do if (school=2010 and idteach="E01").
 compute t6d_e=2.
 compute t6d_ep=36.
 compute HDTE=1.
End if.

Do if (school=2306 and idteach="E05").
 compute t6d_e=2.
 compute t6d_ep=32.
 compute HDTE=1.
End if.

Do if (school=2607 and idteach="E02").
 compute t6d_e=2.
 compute t6d_ep=30.
 compute HDTE=1.
End if.

Do if (school=2701 and idteach="E03").
 compute t6d_e=2.
 compute t6d_ep=34.
 compute HDTE=1.
End if.

Do if (school=2703 and idteach="E02").
 compute t6d_e=2.
 compute t6d_ep=33.
 compute HDTE=1.
End if.

select if (t6d_e =2).
string xclass (a3).
compute xclass="D".
compute xclsize= t6d_ep.
formats xclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6DR.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

compute HDTE=0.

Do if (school=1818 and idteach="E03").
 compute t6e_e=2.
 compute t6e_ep=31.
 compute HDTE=1.
End if.

Do if (school=2010 and idteach="E02").
 compute t6e_e=2.
 compute t6e_ep=36.
 compute HDTE=1.
End if.

select if (t6e_e =2).
string xclass (a3).
compute xclass="E".
compute xclsize= t6e_ep.
formats xclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6ER.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

compute HDTE=0.

Do if (school=1818 and idteach="E04").
 compute t6f_e=2.
 compute t6f_ep=31.
 compute HDTE=1.
End if.

select if (t6f_e =2).
string xclass (a3).
compute xclass="F".
compute xclsize= t6f_ep.
formats xclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6FR.SAV'.

GET 
  FILE='C:\WinDem\SACMEQ2\bot\T6AR.SAV' .
EXECUTE .

ADD FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\bot\T6br.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6cr.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6dr.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6er.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6fr.sav'.
EXECUTE.

*************** SPECIAL CORRECTION FOR BOTSWANA ********************.
compute IDREG=number(region,f3.0).
compute region=string(IDREG,f3.0).
compute IDDIST=number(district,f3.0).
compute district=string(IDDIST,f3.0).
*************** SPECIAL CORRECTION FOR BOTSWANA ********************.

rename variables idteach=idtr.

string idschool (a10).
compute idschool=string(school,f10).

string idclass (a13).
compute idclass=concat(idschool,xclass).

sort cases by idclass (a).

string xflag (a1).
compute xflag="1".
if idclass=lag(idclass) xflag="2".

string idcl (a14).
compute idcl=concat(rtrim(idclass),xflag).

sort cases by idcl (A).
save outfile="C:\WinDem\SACMEQ2\bot\T1.sav" 
/rename = ( tsex = xsex ) ( tage = xage ) ( tqacad = xqacad ) ( tqprof = xqprof ) ( texper = xexper ) 
( tinservc = xinservc ) ( tinservd = xinservd ) ( tinserve = xinserve ) ( tclbooks = xclbooks ) ( tsit = xsit )
 ( twrite = xwrite ) ( tcres1 = xcres1 ) ( tcres2 = xcres2 ) ( tcres3 = xcres3 ) ( tcres4 = xcres4 ) 
( tcres5 = xcres5 ) ( tcres6 = xcres6 ) ( tcres7 = xcres7 ) ( tcres8 = xcres8 ) ( taccess1 = xaccess1 ) 
( taccess2 = xaccess2 ) ( taccess3 = xaccess3 ) ( taccess4 = xaccess4 ) ( taccess5 = xaccess5 )
 ( tperiods = xperiods ) ( tminutes = xminutes ) ( toutwork = xoutwork ) ( tmeetpar = xmeetpar ) 
( tmeeusua = xmeeusua ) ( tins98 = xins98 ) ( tadv98 = xadv98 ) ( tins99 = xins99 ) ( tadv99 = xadv99 ) 
( tins00 = xins00 ) ( tadv00 = xadv00 ) ( tinsp01 = xinsp01 ) ( tinsp02 = xinsp02 ) ( tinsp03 = xinsp03 ) 
( tinsp04 = xinsp04 ) ( tinsp05 = xinsp05 ) ( tinsp06 = xinsp06 ) ( tinsp07 = xinsp07 ) 
( tinsp08 = xinsp08 ) ( tinsp09 = xinsp09 ) ( tinsp10 = xinsp10 ) ( tinsp11 = xinsp11 ) 
( tinsp12 = xinsp12 ) ( tadv01 = xadv01 ) ( tadv02 = xadv02 ) ( tadv03 = xadv03 ) ( tadv04 = xadv04 ) 
( tadv05 = xadv05 ) ( tadv06 = xadv06 ) ( tadv07 = xadv07 ) ( tadv08 = xadv08 ) ( tadv09 = xadv09 ) 
( tadv10 = xadv10 ) ( tadv11 = xadv11 ) ( tadv12 = xadv12 ) ( tshadv = xshadv ) ( trescent = xrescent ) 
( tresused = xresused ) ( tresuse1 = xresuse1 ) ( tresuse2 = xresuse2 ) ( tresuse3 = xresuse3 ) 
( tresuse4 = xresuse4 ) ( tresuse5 = xresuse5 ) ( tresuse6 = xresuse6 ) ( tsatis01 = xsatis01 ) 
( tsatis02 = xsatis02 ) ( tsatis03 = xsatis03 ) ( tsatis04 = xsatis04 ) ( tsatis05 = xsatis05 )
 ( tsatis06 = xsatis06 ) ( tsatis07 = xsatis07 ) ( tsatis08 = xsatis08 ) ( tsatis09 = xsatis09 ) 
( tsatis10 = xsatis10 ) ( tsatis11 = xsatis11 ) ( tsatis12 = xsatis12 ) ( tsatis13 = xsatis13 ) 
( tsatis14 = xsatis14 ) ( tsatis15 = xsatis15 ) ( tsatis16 = xsatis16 ) ( tsatmost = xsatmost )
 ( tsatseco = xsatseco ) ( tsatthir = xsatthir ) ( tpos01 = xpos01 ) ( tpos02 = xpos02 ) ( tpos03 = xpos03 )
 ( tpos04 = xpos04 ) ( tpos05 = xpos05 ) ( tpos06 = xpos06 ) ( tpos07 = xpos07 ) ( tpos08 = xpos08 )
 ( tpos09 = xpos09 ) ( tpos10 = xpos10 ) ( tpos11 = xpos11 ) ( tpos12 = xpos12 ) ( tpos13 = xpos13 ) 
( tpos14 = xpos14 ) ( tlivs1 = xlivs1 ) ( tlivs2 = xlivs2 ) ( tlivs3 = xlivs3 ) ( tlivs4 = xlivs4 ) ( tlivs5 = xlivs5 ) 
( tlivs6 = xlivs6 ) ( tlivs7 = xlivs7 ) ( tlivs8 = xlivs8 ) ( tlight = xlight ) ( tliving = xliving )  
/drop t6a_e to t6ddd_mp  trepmath to ttestmat tmath01 to tmck7 IDREG IDDIST .

GET
  FILE='C:\WinDem\SACMEQ2\bot\T1.SAV' .
EXECUTE .

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\bot\TS1.sav'
  /BREAK=idclass
  /rflag=N.

*** Teacher Booklet for Math Teachers saved as T2 with IDCL (IDCLASS+FLAG) as the link variable ***.
*** Teacher control file for Math Teachers saved as TS2 with IDCLASS as the link variable ***.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=710 and idteach="E01" t6a_m=1.
if school=1212 and idteach="E01" t6a_m=1. 
if school=1414 and idteach="E01" t6a_m=1. 
if school=1619 and idteach="E01" t6a_m=1. 
if school=1807 and idteach="E01" t6a_m=1. 
if school=2217 and idteach="E01" t6a_m=1. 
if school=2610 and idteach="E01" t6a_m=1. 
if school=2718 and idteach="E01" t6a_m=1. 
if school=2801 and idteach="E01" t6a_m=1. 

compute HDTM=0.

Do if (school=123 and idteach="E02").
 compute t6a_m=2.
 compute t6a_mp=26.
 compute HDTM=1.
End if.

Do if (school=710 and idteach="E03").
 compute t6a_m=2.
 compute t6a_mp=29.
 compute HDTM=1.
End if.

Do if (school=1212 and idteach="E02").
 compute t6a_m=2.
 compute t6a_mp=26.
 compute HDTM=1.
End if.

Do if (school=1321 and idteach="E03").
 compute t6a_m=2.
 compute t6a_mp=26.
 compute HDTM=1.
End if.

Do if (school=1414 and idteach="E04").
 compute t6a_m=2.
 compute t6a_mp=27.
 compute HDTM=1.
End if.

Do if (school=1619 and idteach="E02").
 compute t6a_m=2.
 compute t6a_mp=29.
 compute HDTM=1.
End if.

Do if (school=1807 and idteach="E02").
 compute t6a_m=2.
 compute t6a_mp=24.
 compute HDTM=1.
End if.

Do if (school=1818 and idteach="E02").
 compute t6a_m=2.
 compute t6a_mp=31.
 compute HDTM=1.
End if.

Do if (school=2217 and idteach="E03").
 compute t6a_m=2.
 compute t6a_mp=30.
 compute HDTM=1.
End if.

Do if (school=2610 and idteach="E03").
 compute t6a_m=2.
 compute t6a_mp=30.
 compute HDTM=1.
End if.

Do if (school=2718 and idteach="E03").
 compute t6a_m=2.
 compute t6a_mp=29.
 compute HDTM=1.
End if.

Do if (school=2735 and idteach="E03").
 compute t6a_m=2.
 compute t6a_mp=36.
 compute HDTM=1.
End if.

Do if (school=2801 and idteach="E02").
 compute t6a_m=2.
 compute t6a_mp=17.
 compute HDTM=1.
End if.

select if (t6a_m =2).
string yclass (a3).
compute yclass="A".
compute yclsize= t6a_mp.
formats yclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6AM.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=705 and idteach="E02" t6b_m=1.
if school=902 and idteach="E02" t6b_m=1.
if school=1608 and idteach="E02" t6b_m=1.
if school=2217 and idteach="E02" t6b_m=1. 
if school=2513 and idteach="E02" t6b_m=1. 
if school=2711 and idteach="E02" t6b_m=1. 

compute HDTM=0.

Do if (school=518 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=31.
 compute HDTM=1.
End if.

Do if (school=607 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=30.
 compute HDTM=1.
End if.

Do if (school=705 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=29.
 compute HDTM=1.
End if.

Do if (school=707 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=25.
 compute HDTM=1.
End if.

Do if (school=710 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=30.
 compute HDTM=1.
End if.

Do if (school=902 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=30.
 compute HDTM=1.
End if.

Do if (school=903 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=27.
 compute HDTM=1.
End if.

Do if (school=1202 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=31.
 compute HDTM=1.
End if.

Do if (school=1205 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=29.
 compute HDTM=1.
End if.

Do if (school=1414 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=27.
 compute HDTM=1.
End if.

Do if (school=1421 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=30.
 compute HDTM=1.
End if.

Do if (school=1608 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=18.
 compute HDTM=1.
End if.

Do if (school=1820 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=32.
 compute HDTM=1.
End if.

Do if (school=1903 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=28.
 compute HDTM=1.
End if.

Do if (school=2208 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=35.
 compute HDTM=1.
End if.

Do if (school=2217 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=28.
 compute HDTM=1.
End if.

Do if (school=2219 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=29.
 compute HDTM=1.
End if.

Do if (school=2513 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=27.
 compute HDTM=1.
End if.

Do if (school=2606 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=32.
 compute HDTM=1.
End if.

Do if (school=2610 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=31.
 compute HDTM=1.
End if.

Do if (school=2614 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=36.
 compute HDTM=1.
End if.

Do if (school=2620 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=35.
 compute HDTM=1.
End if.

Do if (school=2701 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=32.
 compute HDTM=1.
End if.

Do if (school=2706 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=34.
 compute HDTM=1.
End if.

Do if (school=2711 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=33.
 compute HDTM=1.
End if.

Do if (school=2712 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=38.
 compute HDTM=1.
End if.

Do if (school=2713 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=30.
 compute HDTM=1.
End if.

Do if (school=2717 and idteach="E01").
 compute t6b_m=2.
 compute t6b_mp=35.
 compute HDTM=1.
End if.

Do if (school=2723 and idteach="E03").
 compute t6b_m=2.
 compute t6b_mp=35.
 compute HDTM=1.
End if.

Do if (school=2734 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=39.
 compute HDTM=1.
End if.

Do if (school=2735 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=35.
 compute HDTM=1.
End if.

Do if (school=2907 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=34.
 compute HDTM=1.
End if.

Do if (school=3007 and idteach="E04").
 compute t6b_m=2.
 compute t6b_mp=34.
 compute HDTM=1.
End if.

select if (t6b_m =2).
string yclass (a3).
compute yclass="B".
compute yclsize= t6b_mp.
formats yclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6BM.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=1204 and idteach="E03" t6c_m=1 .
if school=2010 and idteach="E03" t6c_m=1 .
if school=2107 and idteach="E03" t6c_m=1 .
if school=2207 and idteach="E03" t6c_m=1 .
if school=2717 and idteach="E03" t6c_m=1 .

compute HDTM=0.

Do if (school=717 and idteach="E04").
 compute t6c_m=2.
 compute t6c_mp=31.
 compute HDTM=1.
End if.

Do if (school=808 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=34.
 compute HDTM=1.
End if.

Do if (school=1132 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=35.
 compute HDTM=1.
End if.

Do if (school=1204 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=35.
 compute HDTM=1.
End if.

Do if (school=1206 and idteach="E04").
 compute t6c_m=2.
 compute t6c_mp=31.
 compute HDTM=1.
End if.

Do if (school=1212 and idteach="E04").
 compute t6c_m=2.
 compute t6c_mp=30.
 compute HDTM=1.
End if.

Do if (school=1407 and idteach="E04").
 compute t6c_m=2.
 compute t6c_mp=30.
 compute HDTM=1.
End if.

Do if (school=1805 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=35.
 compute HDTM=1.
End if.

Do if (school=2010 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=36.
 compute HDTM=1.
End if.

Do if (school=2107 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=34.
 compute HDTM=1.
End if.

Do if (school=2207 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=27.
 compute HDTM=1.
End if.

Do if (school=2306 and idteach="E01").
 compute t6c_m=2.
 compute t6c_mp=30.
 compute HDTM=1.
End if.

Do if (school=2607 and idteach="E02").
 compute t6c_m=2.
 compute t6c_mp=29.
 compute HDTM=1.
End if.

Do if (school=2703 and idteach="E01").
 compute t6c_m=2.
 compute t6c_mp=32.
 compute HDTM=1.
End if.

Do if (school=2717 and idteach="E01").
 compute t6c_m=2.
 compute t6c_mp=33.
 compute HDTM=1.
End if.

select if (t6c_m =2).
string yclass (a3).
compute yclass="C".
compute yclsize= t6c_mp.
formats yclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6CM.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

if school=710 and idteach="E04" t6d_m=1.
if school=2701 and idteach="E04" t6d_m=1.
if school=2703 and idteach="E04" t6d_m=1.

compute HDTM=0.

Do if (school=710 and idteach="E03").
 compute t6d_m=2.
 compute t6d_mp=30.
 compute HDTM=1.
End if.

Do if (school=1805 and idteach="E05").
 compute t6d_m=2.
 compute t6d_mp=35.
 compute HDTM=1.
End if.

Do if (school=2010 and idteach="E01").
 compute t6d_m=2.
 compute t6d_mp=36.
 compute HDTM=1.
End if.

Do if (school=2306 and idteach="E05").
 compute t6d_m=2.
 compute t6d_mp=32.
 compute HDTM=1.
End if.

Do if (school=2607 and idteach="E05").
 compute t6d_m=2.
 compute t6d_mp=30.
 compute HDTM=1.
End if.

Do if (school=2701 and idteach="E03").
 compute t6d_m=2.
 compute t6d_mp=34.
 compute HDTM=1.
End if.

Do if (school=2703 and idteach="E02").
 compute t6d_m=2.
 compute t6d_mp=33.
 compute HDTM=1.
End if.

select if (t6d_m =2).
string yclass (a3).
compute yclass="D".
compute yclsize= t6d_mp.
formats yclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6DM.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

compute HDTM=0.

Do if (school=1818 and idteach="E03").
 compute t6e_m=2.
 compute t6e_mp=31.
 compute HDTM=1.
End if.

Do if (school=2010 and idteach="E02").
 compute t6e_m=2.
 compute t6e_mp=36.
 compute HDTM=1.
End if.

select if (t6e_m =2).
string yclass (a3).
compute yclass="E".
compute yclsize= t6e_mp.
formats yclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6EM.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

compute HDTM=0.

Do if (school=1818 and idteach="E04").
 compute t6f_m=2.
 compute t6f_mp=31.
 compute HDTM=1.
End if.

select if (t6f_m =2).
string yclass (a3).
compute yclass="F".
compute yclsize= t6f_mp.
formats yclsize (f3.0).
save outfile='C:\WinDem\SACMEQ2\bot\T6FM.SAV'.

GET
  FILE='C:\WinDem\SACMEQ2\bot\T6AM.SAV' .
EXECUTE .

ADD FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\bot\T6bm.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6cm.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6dm.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6em.sav'
 /FILE='C:\WinDem\SACMEQ2\bot\T6fm.sav'.
EXECUTE.

*************** SPECIAL CORRECTION FOR BOTSWANA ********************.
compute IDREG=number(region,f3.0).
compute region=string(IDREG,f3.0).
compute IDDIST=number(district,f3.0).
compute district=string(IDDIST,f3.0).
*************** SPECIAL CORRECTION FOR BOTSWANA ********************.

rename variables idteach=idtm.

string idschool (a10).
compute idschool=string(school,f10).

string idclass (a13).
compute idclass=concat(idschool,yclass).

sort cases by idclass (a).

string yflag (a1).
compute yflag="1".
if idclass=lag(idclass) yflag="2".

string idcl (a14).
compute idcl=concat(rtrim(idclass),yflag).

sort cases by idcl (A).
save outfile='C:\WinDem\SACMEQ2\bot\T2.SAV'
/rename ( tsex = ysex ) ( tage = yage ) ( tqacad = yqacad ) ( tqprof = yqprof ) ( texper = yexper ) 
( tinservc = yinservc ) ( tinservd = yinservd ) ( tinserve = yinserve ) ( tclbooks = yclbooks ) ( tsit = ysit )
 ( twrite = ywrite ) ( tcres1 = ycres1 ) ( tcres2 = ycres2 ) ( tcres3 = ycres3 ) ( tcres4 = ycres4 ) 
( tcres5 = ycres5 ) ( tcres6 = ycres6 ) ( tcres7 = ycres7 ) ( tcres8 = ycres8 ) ( taccess1 = yaccess1 )
 ( taccess2 = yaccess2 ) ( taccess3 = yaccess3 ) ( taccess4 = yaccess4 ) ( taccess5 = yaccess5 )
 ( tperiods = yperiods ) ( tminutes = yminutes ) ( toutwork = youtwork ) ( tmeetpar = ymeetpar ) 
( tmeeusua = ymeeusua ) ( tins98 = yins98 ) ( tadv98 = yadv98 ) ( tins99 = yins99 ) ( tadv99 = yadv99 ) 
( tins00 = yins00 ) ( tadv00 = yadv00 ) ( tinsp01 = yinsp01 ) ( tinsp02 = yinsp02 ) ( tinsp03 = yinsp03 ) 
( tinsp04 = yinsp04 ) ( tinsp05 = yinsp05 ) ( tinsp06 = yinsp06 ) ( tinsp07 = yinsp07 ) 
( tinsp08 = yinsp08 ) ( tinsp09 = yinsp09 ) ( tinsp10 = yinsp10 ) ( tinsp11 = yinsp11 ) 
( tinsp12 = yinsp12 ) ( tadv01 = yadv01 ) ( tadv02 = yadv02 ) ( tadv03 = yadv03 ) ( tadv04 = yadv04 )
 ( tadv05 = yadv05 ) ( tadv06 = yadv06 ) ( tadv07 = yadv07 ) ( tadv08 = yadv08 ) ( tadv09 = yadv09 ) 
( tadv10 = yadv10 ) ( tadv11 = yadv11 ) ( tadv12 = yadv12 ) ( tshadv = yshadv ) ( trescent = yrescent ) 
( tresused = yresused ) ( tresuse1 = yresuse1 ) ( tresuse2 = yresuse2 ) ( tresuse3 = yresuse3 ) 
( tresuse4 = yresuse4 ) ( tresuse5 = yresuse5 ) ( tresuse6 = yresuse6 ) ( tsatis01 = ysatis01 ) 
( tsatis02 = ysatis02 ) ( tsatis03 = ysatis03 ) ( tsatis04 = ysatis04 ) ( tsatis05 = ysatis05 )
 ( tsatis06 = ysatis06 ) ( tsatis07 = ysatis07 ) ( tsatis08 = ysatis08 ) ( tsatis09 = ysatis09 ) 
( tsatis10 = ysatis10 ) ( tsatis11 = ysatis11 ) ( tsatis12 = ysatis12 ) ( tsatis13 = ysatis13 ) 
( tsatis14 = ysatis14 ) ( tsatis15 = ysatis15 ) ( tsatis16 = ysatis16 ) ( tsatmost = ysatmost ) 
( tsatseco = ysatseco ) ( tsatthir = ysatthir ) ( tpos01 = ypos01 ) ( tpos02 = ypos02 ) 
( tpos03 = ypos03 ) ( tpos04 = ypos04 ) ( tpos05 = ypos05 ) ( tpos06 = ypos06 ) ( tpos07 = ypos07 )
 ( tpos08 = ypos08 ) ( tpos09 = ypos09 ) ( tpos10 = ypos10 ) ( tpos11 = ypos11 ) ( tpos12 = ypos12 )
 ( tpos13 = ypos13 ) ( tpos14 = ypos14 ) ( tlivs1 = ylivs1 ) ( tlivs2 = ylivs2 ) ( tlivs3 = ylivs3 )
 ( tlivs4 = ylivs4 ) ( tlivs5 = ylivs5 ) ( tlivs6 = ylivs6 ) ( tlivs7 = ylivs7 ) ( tlivs8 = ylivs8 ) ( tlight = ylight ) 
( tliving = yliving )  
/drop t6a_e to t6ddd_mp  trepengl to  ttestrea tread01 to trck7 IDREG IDDIST.

GET
  FILE='C:\WinDem\SACMEQ2\bot\T2.SAV' .
EXECUTE .

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\bot\TS2.sav'
  /BREAK=idclass
  /mflag=N.

*** Linking ***.

GET 
  FILE='C:\WinDem\SACMEQ2\bot\P1.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\bot\P2.sav'
 /RENAME (country district idclass idschool instr puncher region sch_rept  school = pf_d0 pf_d1 pf_d2 pf_d3 pf_d4 pf_d5 pf_d6 pf_d7 pf_d8)
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(country  ~=  pf_d0 or district  ~=  pf_d1 or idclass  ~=  pf_d2 or  idschool ~=  pf_d3 or   region  ~= pf_d6 or sch_rept ~= pf_d7 or   school    ~=     pf_d8).
VARIABLE LABEL filter_$ 'country  ~=  pf_d0 or district  ~=  pf_d1 or idclass  ~= pf_d2 or idschool ~=  pf_d3 or  ... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idpupil country pf_d0 district pf_d1 idclass pf_d2 idschool pf_d3 region pf_d6 sch_rept pf_d7   school  pf_d8
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PB and PNF'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

sort cases by idschool (A).

MATCH FILES /FILE=*
 /TABLE='C:\WinDem\SACMEQ2\bot\S1.sav'
 /RENAME (country district instr puncher region sch_rept school = sh_d0 sh_d1 sh_d2 sh_d3  sh_d4 sh_d5 sh_d6)
 /BY idschool.
EXECUTE.

USE ALL.
COMPUTE filter_$=(country ~=  sh_d0 or district   ~= sh_d1 or region  ~=   sh_d4 or sch_rept  ~=  sh_d5 or   school  ~=   sh_d6).
VARIABLE LABEL filter_$ 'country ~=  sh_d0 or district   ~= sh_d1 or region  ~=   sh_d4 or ... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool country sh_d0 district sh_d1 region sh_d4 sch_rept sh_d5 school  sh_d6
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PB+PNF and SHQ'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

sort cases by idclass (A).

MATCH FILES /FILE=*
 /TABLE='C:\WinDem\SACMEQ2\bot\S2.sav'
 /RENAME (country district idschool instr puncher region sch_rept school = sf_d0  sf_d1 sf_d2 sf_d3 sf_d4 sf_d5 sf_d6 sf_d7)
 /BY idclass .
EXECUTE.

USE ALL.
COMPUTE filter_$=(country  ~= sf_d0 or district  ~=  sf_d1 or idschool ~=  sf_d2 or region  ~= sf_d5 or sch_rept ~=  sf_d6 or school  ~=   sf_d7  ).
VARIABLE LABEL filter_$ 'country  ~= sf_d0 or district  ~=  sf_d1 or idschool ~=  sf_d2 or region  ~= sf_d5 or sch_rept ~=  sf_d6 or ... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idclass country sf_d0 district sf_d1 idschool sf_d2  region sf_d5 sch_rept sf_d6 school  sf_d7
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PB+PNF+SHQ and SF'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

MATCH FILES /FILE=*
 /TABLE='C:\WinDem\SACMEQ2\bot\TS1.sav'
 /BY idclass.
EXECUTE.

string idcl (a14).
if (rflag=1) idcl=concat(rtrim(idclass),"1").
if (rflag=2  and mod(idpupil,2)=0) idcl=concat(rtrim(idclass),"1").
if (rflag=2 and mod(idpupil,2)=1) idcl=concat(rtrim(idclass),"2").

sort cases by idcl (A).

MATCH FILES /FILE=*
 /TABLE='C:\WinDem\SACMEQ2\bot\T1.sav'
 /RENAME (country district idclass idschool instr puncher region sch_rept  school = tr_d0 tr_d1 tr_d2 tr_d3 tr_d4 tr_d5 tr_d6 tr_d7 tr_d8)
 /BY idcl.
EXECUTE.

USE ALL.
COMPUTE filter_$=((country  ~=  tr_d0 or district  ~=  tr_d1 or idclass  ~=  tr_d2 or  idschool ~=   tr_d3 or region ~=   tr_d6 or sch_rept   ~= tr_d7 or  school ~=  tr_d8) and idtr~="").
VARIABLE LABEL filter_$ 'country  ~=  tr_d0 or district  ~=  tr_d1 or idclass  ~=  tr_d2 or  idschool ~=   tr_d3 or region ~=   tr_d6... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idcl idtr country tr_d0  district tr_d1 idclass tr_d2  idschool tr_d3 region tr_d6 sch_rept tr_d7   school tr_d8
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PB+PNF+SHQ+SF and TR'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

sort cases by idclass (A).

MATCH FILES /FILE=*
 /TABLE='C:\WinDem\SACMEQ2\bot\TS2.sav'
 /BY idclass.
EXECUTE.

if (mflag=1) idcl=concat(rtrim(idclass),"1").
if (mflag=2  and mod(idpupil,2)=0) idcl=concat(rtrim(idclass),"1").
if (mflag=2 and mod(idpupil,2)=1) idcl=concat(rtrim(idclass),"2").

sort cases by idcl (A).

MATCH FILES /FILE=*
 /TABLE='C:\WinDem\SACMEQ2\bot\T2.sav'
 /RENAME (country district idclass idschool instr puncher region sch_rept  school = tm_d0 tm_d1 tm_d2 tm_d3 tm_d4 tm_d5 tm_d6 tm_d7 tm_d8)
 /BY idcl.
EXECUTE.

USE ALL.
COMPUTE filter_$=((country ~=  tm_d0 or district ~=   tm_d1 or  idclass  ~=  tm_d2 or idschool   ~= tm_d3 or region ~=   tm_d6 or sch_rept  ~=  tm_d7 or  school ~=   tm_d8) and idtm ~= "").
VARIABLE LABEL filter_$ '(country ~=  tm_d0 or district ~=   tm_d1 or  idclass  ~=  tm_d2 or idschool   ~= tm_d3 or region ~=   tm_d6... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idcl idtm country tm_d0 district tm_d1 idclass tm_d2 idschool tm_d3 region tm_d6 sch_rept tm_d7   school  tm_d8
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PB+PNF+SHQ+SF+TR and TM'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

count pqmis= penglish pstay pbookshm ppos01 ppos02 ppos03 ppos04 ppos05 ppos06 ppos07
  ppos08 ppos09 ppos10 ppos11 ppos12 ppos13 ppos14 plight plivs1 plivs2 plivs3
  plivs4 plivs5 plivs6 plivs7 plivs8 pmeal1 pmeal2 pmeal3 pmother pfather
  pfloor pwall proof pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4 pabwhy5 pabwhy6
  pabwhy7 prepeat prepeat6 pborrow pmat01 pmat02 pmat03 pmat04 pmat05 pmat06
  pmat07 pmat08 psit pwrite phmwkdon phmwkhlp pread pcalc pquestr pquestm
  plookwk pexteng pextmat pextoth pextpay phmwkr phmwkrc ptextr phmwkm phmwkmc
  ptextm  (missing).

count prmis= pread01 pread02 pread03 pread04 pread05 pread06 pread07 pread08 pread09
  pread10 pread11 pread12 pread13 pread14 pread15 pread16 pread17 pread18
  pread19 pread20 pread21 pread22 pread23 pread24 pread25 pread26 pread27
  pread28 pread29 pread30 pread31 pread32 pread33 pread34 pread35 pread36
  pread37 pread38 pread39 pread40 pread41 pread42 pread43 pread44 pread45 pread46 pread47 pread48 pread49
  pread50 pread51 pread52 pread53 pread54 pread55 pread56 pread57 pread58
  pread59 pread60 pread61 pread62 pread63 pread64 pread65 pread66 pread67
  pread68 pread69 pread70 pread71 pread72 pread73 pread74 pread75 pread76
  pread77 pread78 pread79 pread80 pread81 pread82 pread83 (missing).

count pmmis= pmath01 pmath02 pmath03 pmath04 pmath05 pmath06 pmath07 pmath08 pmath09
  pmath10 pmath11 pmath12 pmath13 pmath14 pmath15 pmath16 pmath17 pmath18
  pmath19 pmath20 pmath21 pmath22 pmath23 pmath24 pmath25 pmath26 pmath27
  pmath28 pmath29 pmath30 pmath31 pmath32 pmath33 pmath34 pmath35 pmath36 pmath37 pmath38 pmath39 pmath40 pmath41
  pmath42 pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 pmath50
  pmath51 pmath52 pmath53 pmath54 pmath55 pmath56 pmath57 pmath58 pmath59
  pmath60 pmath61 pmath62 pmath63  (missing).

compute exc1=0.
if pqmis=72 or prmis=83 or pmmis=63 exc1=1.
compute exc2=0.
if pqmis=72 and prmis=83 and pmmis=63 exc2=1.
compute exc3=0.
if pqmis=72 or prmis=83 exc3=1.

FREQUENCIES
  VARIABLES=pqmis prmis pmmis exc1 exc2 exc3
  /ORDER  ANALYSIS .

FILTER OFF.
USE ALL.
SELECT IF(pqmis ~=  72  and prmis~=83).
EXECUTE .

***** BOTSWANA SPECIAL CLEANING *****.
if sfpup~=xclsize sfpup=xclsize.
***** BOTSWANA SPECIAL CLEANING *****.

SAVE OUTFILE='C:\WinDem\SACMEQ2\bot\merg_bot.sav'
  /drop pf_d5 pf_d0 pf_d6 pf_d1 pf_d8 pf_d7 pf_d4 pf_d3 pf_d2
 sh_d3 sh_d0 sh_d4 sh_d1 sh_d6 sh_d5 sh_d2 
sf_d4 sf_d0 sf_d5 sf_d1 sf_d7 sf_d6 sf_d3 sf_d2 
tr_d5 tr_d0 tr_d6 tr_d1 tr_d8 tr_d7 tr_d4 tr_d3 tr_d2 
tm_d5 tm_d0 tm_d6 tm_d1 tm_d8 tm_d7 tm_d4 tm_d3 tm_d2 
puncher instr prck6 prck7 pmck6 pmck7 trck6 trck7 tmck6 tmck7 
pqmis prmis pmmis exc1 exc2 exc3 filter_$ 
  /COMPRESSED.

GET
  FILE='C:\WinDem\SACMEQ2\bot\merg_bot.sav'.
EXECUTE .

list country region district school idschool pclass class idclass  idcl idpupil 
psex pstay  pfpupil pfclass pfsex 
ssex sage sfclass sfpup 
 idtr xsex xage xclass tread01  tread25
 idtm ysex yage yclass tmath01  tmath25.

GET
  FILE='C:\WinDem\SACMEQ2\bot\tb_bot.SAV' .
EXECUTE .

sort cases by school (A) idteach (A).

SUMMARIZE
  /TABLES=school sch_rept idteach t6a_e t6a_ep t6a_m t6a_mp t6b_e t6b_ep
  t6b_m t6b_mp t6c_e t6c_ep t6c_m t6c_mp t6d_e t6d_ep t6d_m t6d_mp t6e_e
  t6e_ep t6e_m t6e_mp t6f_e t6f_ep t6f_m t6f_mp tsex tage tread01 tread25
  tmath01 tmath25
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\bot\shq_bot.SAV'.
EXECUTE .

sort cases by school (A).

SUMMARIZE
  /TABLES=school sch_rept ssex sage
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .
