*** Don't forget to change path, filename, essential items, and teacher IDs ***.

GET 
  FILE='C:\WinDem\SACMEQ2\bot\merg1bot.sav'.
EXECUTE .

****** Merging back RUMM score files *****.

sort cases by idpupil (a).

MATCH FILES /FILE=*
 /FILE='H:\MIOKO\SACMEQ2\Main data quality\bot\RAREpup_bot.sav'
 /BY idpupil .
EXECUTE.

MATCH FILES /FILE=*
 /file='H:\MIOKO\SACMEQ2\Main data quality\bot\MAMEpup_bot.sav'
 /BY idpupil .
EXECUTE.

if idtr="E01" tch=101.
if idtr="E02" tch=102.
if idtr="E03" tch=103.
if idtr="E04" tch=104.
if idtr="E05" tch=105.

formats tch (f3.0).

compute idteachR =school*1000+tch.
formats idteachR  (f13.0).

sort cases by idteachR (a).

MATCH FILES /file=*
 /table='H:\MIOKO\SACMEQ2\Main data quality\bot\RAREtch_bot.sav'
 /BY idteachR .
EXECUTE.

if idtm="E01" tch=101.
if idtm="E02" tch=102.
if idtm="E03" tch=103.
if idtm="E04" tch=104.
if idtm="E05" tch=105.
if idtm="M01" tch=201.
if idtm="M02" tch=202.

formats tch (f3.0).

compute idteachM =school*1000+tch.
formats idteachM (f13.0).

sort cases by idteachM (a).

MATCH FILES /FILE=*
 /table='H:\MIOKO\SACMEQ2\Main data quality\bot\MAMEtch_bot.sav'
 /BY idteachM .
EXECUTE.

count pqmis= penglish pstay pbookshm ppos01 ppos02 ppos03 ppos04 ppos05 ppos06 ppos07
  ppos08 ppos09 ppos10 ppos11 ppos12 ppos13 ppos14 plight plivs1 plivs2 plivs3
  plivs4 plivs5 plivs6 plivs7 plivs8 pmeal1 pmeal2 pmeal3 pmother pfather
  pfloor pwall proof pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4 pabwhy5 pabwhy6
  pabwhy7 prepeat prepeat6 pborrow pmat01 pmat02 pmat03 pmat04 pmat05 pmat06
  pmat07 pmat08 psit pwrite phmwkdon phmwkhlp pread pcalc pquestr pquestm
  plookwk pexteng pextmat pextoth pextpay phmwkr phmwkrc ptextr phmwkm phmwkmc
  ptextm  (missing).

count prmis= pread01 pread02 pread03 pread04 pread05 pread06 pread07 pread08 pread09
  pread10 pread11 pread12 pread13 pread14 pread15 pread16 pread17 pread18
  pread19 pread20 pread21 pread22 pread23 pread24 pread25 pread26 pread27
  pread28 pread29 pread30 pread31 pread32 pread33 pread34 pread35 pread36
  pread37 pread38 pread39 pread40 pread41 pread42 pread43 pread44 pread45 pread46 pread47 pread48 pread49
  pread50 pread51 pread52 pread53 pread54 pread55 pread56 pread57 pread58
  pread59 pread60 pread61 pread62 pread63 pread64 pread65 pread66 pread67
  pread68 pread69 pread70 pread71 pread72 pread73 pread74 pread75 pread76
  pread77 pread78 pread79 pread80 pread81 pread82 pread83 (missing).

count pmmis= pmath01 pmath02 pmath03 pmath04 pmath05 pmath06 pmath07 pmath08 pmath09
  pmath10 pmath11 pmath12 pmath13 pmath14 pmath15 pmath16 pmath17 pmath18
  pmath19 pmath20 pmath21 pmath22 pmath23 pmath24 pmath25 pmath26 pmath27
  pmath28 pmath29 pmath30 pmath31 pmath32 pmath33 pmath34 pmath35 pmath36 pmath37 pmath38 pmath39 pmath40 pmath41
  pmath42 pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 pmath50
  pmath51 pmath52 pmath53 pmath54 pmath55 pmath56 pmath57 pmath58 pmath59
  pmath60 pmath61 pmath62 pmath63  (missing).

FREQUENCIES
  VARIABLES=pqmis prmis pmmis
  /ORDER  ANALYSIS .

FILTER OFF.
USE ALL.
SELECT IF(pqmis ~=  72 and prmis~=  83 ).
EXECUTE .

compute zralocp=100*(ralocp+0.432680694)/(1.048464195) + 500.
compute zrelocp=100*(relocp+0.432680694)/(1.048464195) + 500.

compute zmalocp=100*(malocp+0.990098067)/(0.888748729) + 500.
compute zmelocp=100*(melocp+0.990098067)/(0.888748729) + 500.

compute zraloct=100*(raloct+0.432680694)/(1.048464195) + 500.
compute zmaloct=100*(maloct+0.990098067)/(0.888748729) + 500.

recode zralocp (lo thru 501.183281532=0) (501.183281532 thru hi=1) into zminrdp.
recode zralocp (lo thru 610.790905208= 0) (610.790905208 thru hi=1) into zdesrdp.

recode zraloct (lo thru 501.183281532=0) (501.183281532 thru hi=1) into zminrdt.
recode zraloct (lo thru 610.790905208= 0) (610.790905208 thru hi=1) into zdesrdt.

***** Levels Information *****.

if  (ralocp LE -1.765) ZRALEVP=1.	
if  (ralocp GT -1.765 and ralocp LE -1.332) ZRALEVP=2.				
if  (ralocp GT -1.332 and ralocp LE -0.881) ZRALEVP=3.				
if  (ralocp GT -0.881 and ralocp LE -0.334) ZRALEVP=4.				
if  (ralocp GT -0.334 and ralocp LE 0.232) ZRALEVP=5.				
if  (ralocp GT 0.232 and ralocp LE 0.807) ZRALEVP=6.				
if  (ralocp GT 0.807 and ralocp LE 1.692) ZRALEVP=7.				
if  (ralocp GT 1.692) ZRALEVP=8.
execute.				

if  (malocp LE -2.199) ZMALEVP=1.				
if  (malocp GT -2.199 and malocp LE -1.325) ZMALEVP=2.
if  (malocp GT -1.325 and malocp LE -0.709) ZMALEVP=3.				
if  (malocp GT -0.709 and malocp LE -0.213) ZMALEVP=4.				
if  (malocp GT -0.213 and malocp LE 0.293) ZMALEVP=5.				
if  (malocp GT 0.293 and malocp LE 0.962) ZMALEVP=6.				
if  (malocp GT 0.962 and malocp LE 1.728) ZMALEVP=7.				
if  (malocp GT 1.728) ZMALEVP=8.
execute.

if  (raloct LE -1.765) ZRALEVT=1.	
if  (raloct GT -1.765 and raloct LE -1.332) ZRALEVT=2.				
if  (raloct GT -1.332 and raloct LE -0.881) ZRALEVT=3.				
if  (raloct GT -0.881 and raloct LE -0.334) ZRALEVT=4.				
if  (raloct GT -0.334 and raloct LE 0.232) ZRALEVT=5.				
if  (raloct GT 0.232 and raloct LE 0.807) ZRALEVT=6.				
if  (raloct GT 0.807 and raloct LE 1.692) ZRALEVT=7.				
if  (raloct GT 1.692) ZRALEVT=8.
execute.				

if  (maloct LE -2.199) ZMALEVT=1.				
if  (maloct GT -2.199 and maloct LE -1.325) ZMALEVT=2.
if  (maloct GT -1.325 and maloct LE -0.709) ZMALEVT=3.				
if  (maloct GT -0.709 and maloct LE -0.213) ZMALEVT=4.				
if  (maloct GT -0.213 and maloct LE 0.293) ZMALEVT=5.				
if  (maloct GT 0.293 and maloct LE 0.962) ZMALEVT=6.				
if  (maloct GT 0.962 and maloct LE 1.728) ZMALEVT=7.				
if  (maloct GT 1.728) ZMALEVT=8.
execute.

variable labels
 RAMAXP "SCR:/ pupil reading-all maximum possible score " 
/ RATOTP "SCR:/ pupil reading-all total raw score " 
/ RAMISP "SCR:/ pupil reading-all missing items (144 - ramaxp) " 
/ RALOCP "SCR:/ pupil reading-all logit score " 
/ RASEP "SCR:/ pupil reading-all Standard Error " 
/ REMAXP "SCR:/ pupil reading-essential maximum possible score " 
/ RETOTP "SCR:/ pupil reading-essential total raw score " 
/ REMISP "SCR:/ pupil reading-essential missing items (144 - remaxp) " 
/ RELOCP "SCR:/ pupil reading-essential logit score " 
/ RESEP "SCR:/ pupil reading-essential Standard Error " 
/ MAMAXP "SCR:/ pupil math-all maximum possible score " 
/ MATOTP "SCR:/ pupil math-all total raw score " 
/ MAMISP "SCR:/ pupil math-all missing items (88 - mamaxp) " 
/ MALOCP "SCR:/ pupil math-all logit score " 
/ MASEP "SCR:/ pupil math-all Standard Error " 
/ MEMAXP "SCR:/ pupil math-essential maximum possible score " 
/ METOTP "SCR:/ pupil math-essential total raw score " 
/ MEMISP "SCR:/ pupil math-essential missing items (88 - memaxp) " 
/ MELOCP "SCR:/ pupil math-essential logit score " 
/ MESEP "SCR:/ pupil math-essential Standard Error " 
/ RAMAXT "SCR:/ teacher reading-all maximum possible score " 
/ RATOTT "SCR:/ teacher reading-all total raw score " 
/ RAMIST "SCR:/ teacher reading-all missing items (144 - ramaxt) " 
/ RALOCT "SCR:/ teacher reading-all logit score " 
/ RASET "SCR:/ teacher reading-all Standard Error " 
/ REMAXT "SCR:/ teacher reading-essential maximum possible score " 
/ RETOTT "SCR:/ teacher reading-essential total raw score " 
/ REMIST "SCR:/ teacher reading-essential missing items (144 - remaxt) " 
/ RELOCT "SCR:/ teacher reading-essential logit score " 
/ RESET "SCR:/ teacher reading-essential Standard Error " 
/ MAMAXT "SCR:/ teacher math-all maximum possible score " 
/ MATOTT "SCR:/ teacher math-all total raw score " 
/ MAMIST "SCR:/ teacher math-all missing items (88 - mamaxt) " 
/ MALOCT "SCR:/ teacher math-all logit score " 
/ MASET "SCR:/ teacher math-all Standard Error " 
/ MEMAXT "SCR:/ teacher math-essential maximum possible score " 
/ METOTT "SCR:/ teacher math-essential total raw score " 
/ MEMIST "SCR:/ teacher math-essential missing items (88 - memaxt) " 
/ MELOCT "SCR:/ teacher math-essential logit score " 
/ MESET "SCR:/ teacher math-essential Standard Error " 
/ ZRALOCP "SCR:/ pupil reading-all 500 score [mean=500 & SD=100] " 
/ ZRELOCP "SCR:/ pupil reading-essential 500 score [mean=500 & SD=100] " 
/ ZMALOCP "SCR:/ pupil math-all 500 score [mean=500 & SD=100] " 
/ ZMELOCP "SCR:/ pupil math-essential 500 score [mean=500 & SD=100] " 
/ ZRALOCT "SCR:/ teacher reading-all 500 score [mean=500 & SD=100] " 
/ ZMALOCT "SCR:/ teacher math-all 500 score [mean=500 & SD=100] " 
/ ZMINRDP "SCR:/ pupil reading minimum level " 
/ ZDESRDP "SCR:/ pupil reading desirable level " 
/ ZMINRDT "SCR:/ teacher reading minimum level " 
/ ZDESRDT "SCR:/ teacher reading desirable level " 
/ ZRALEVP "SCR:/ pupil reading levels " 
/ ZMALEVP "SCR:/ pupil mathematics levels " 
/ ZRALEVT "SCR:/ teacher reading levels " 
/ ZMALEVT "SCR:/ teacher mathematics levels " .

value labels  ZMINRDP 0 "did not reach " 1 "reached "                          
/ ZDESRDP 0 "did not reach " 1 "reached "                          
/ ZMINRDT 0 "did not reach " 1 "reached "                          
/ ZDESRDT 0 "did not reach " 1 "reached "                          
/ ZRALEVP  ZRALEVT 1 "Pre-Reading" 2 "Emergent Reading" 3 "Basic Reading" 4 "Reading for Meaning"  5 "Interpretive Reading" 6 "Inferential Reading" 7 "Analytical Reading" 8 "Critical Reading"
 /ZMALEVP ZMALEVT  1 "Pre Numeracy" 2 "Emergent Numeracy" 3 "Basic Numeracy" 4 "Beginning Numeracy" 5 "Competent Numeracy" 6 "Mathematically Skilled" 7 "Problem Solving" 8 "Abstract Problem Solving"

formats ZMINRDP ZDESRDP ZMINRDT ZDESRDT ZRALEVP ZMALEVP ZRALEVT ZMALEVT  (f1.0).

SAVE OUTFILE='C:\WinDem\SACMEQ2\bot\merg2bot.SAV'
   /drop pqmis prmis pmmis
   /COMPRESSED.

GET 
  FILE='C:\WinDem\SACMEQ2\bot\merg2bot.sav'.
EXECUTE .

*** Scoring Pupil Reading Test ***.

compute zpr01 = 0 .
compute zpr02 = 0 .
compute zpr03 = 0 .
compute zpr04 = 0 .
compute zpr05 = 0 .
compute zpr06 = 0 .
compute zpr07 = 0 .
compute zpr08 = 0 .
compute zpr09 = 0 .
compute zpr10 = 0 .
compute zpr11 = 0 .
compute zpr12 = 0 .
compute zpr13 = 0 .
compute zpr14 = 0 .
compute zpr15 = 0 .
compute zpr16 = 0 .
compute zpr17 = 0 .
compute zpr18 = 0 .
compute zpr19 = 0 .
compute zpr20 = 0 .
compute zpr21 = 0 .
compute zpr22 = 0 .
compute zpr23 = 0 .
compute zpr24 = 0 .
compute zpr25 = 0 .
compute zpr26 = 0 .
compute zpr27 = 0 .
compute zpr28 = 0 .
compute zpr29 = 0 .
compute zpr30 = 0 .
compute zpr31 = 0 .
compute zpr32 = 0 .
compute zpr33 = 0 .
compute zpr34 = 0 .
compute zpr35 = 0 .
compute zpr36 = 0 .
compute zpr37 = 0 .
compute zpr38 = 0 .
compute zpr39 = 0 .
compute zpr40 = 0 .
compute zpr41 = 0 .
compute zpr42 = 0 .
compute zpr43 = 0 .
compute zpr44 = 0 .
compute zpr45 = 0 .
compute zpr46 = 0 .
compute zpr47 = 0 .
compute zpr48 = 0 .
compute zpr49 = 0 .
compute zpr50 = 0 .
compute zpr51 = 0 .
compute zpr52 = 0 .
compute zpr53 = 0 .
compute zpr54 = 0 .
compute zpr55 = 0 .
compute zpr56 = 0 .
compute zpr57 = 0 .
compute zpr58 = 0 .
compute zpr59 = 0 .
compute zpr60 = 0 .
compute zpr61 = 0 .
compute zpr62 = 0 .
compute zpr63 = 0 .
compute zpr64 = 0 .
compute zpr65 = 0 .
compute zpr66 = 0 .
compute zpr67 = 0 .
compute zpr68 = 0 .
compute zpr69 = 0 .
compute zpr70 = 0 .
compute zpr71 = 0 .
compute zpr72 = 0 .
compute zpr73 = 0 .
compute zpr74 = 0 .
compute zpr75 = 0 .
compute zpr76 = 0 .
compute zpr77 = 0 .
compute zpr78 = 0 .
compute zpr79 = 0 .
compute zpr80 = 0 .
compute zpr81 = 0 .
compute zpr82 = 0 .
compute zpr83 = 0 .

recode pread01 to pread06  pread12 to pread34 pread41 to pread83 (1=1) (2=2) (3=3) (4=4) (else=0).
recode pread07 to pread11  (1=1) (2=2) (3=3)  (else=0).
recode pread35 to pread40 (1=1) (2=2) (else=0).

if pread01 = 2 zpr01 = 1 .
if pread02 = 2 zpr02 = 1 .
if pread03 = 3 zpr03 = 1 .
if pread04 = 1 zpr04 = 1 .
if pread05 = 2 zpr05 = 1 .
if pread06 = 1 zpr06 = 1 .
if pread07 = 2 zpr07 = 1 .
if pread08 = 2 zpr08 = 1 .
if pread09 = 2 zpr09 = 1 .
if pread10 = 3 zpr10 = 1 .
if pread11 = 2 zpr11 = 1 .
if pread12 = 2 zpr12 = 1 .
if pread13 = 4 zpr13 = 1 .
if pread14 = 4 zpr14 = 1 .
if pread15 = 2 zpr15 = 1 .
if pread16 = 2 zpr16 = 1 .
if pread17 = 2 zpr17 = 1 .
if pread18 = 1 zpr18 = 1 .
if pread19 = 2 zpr19 = 1 .
if pread20 = 4 zpr20 = 1 .
if pread21 = 3 zpr21 = 1 .
if pread22 = 3 zpr22 = 1 .
if pread23 = 3 zpr23 = 1 .
if pread24 = 1 zpr24 = 1 .
if pread25 = 1 zpr25 = 1 .
if pread26 = 4 zpr26 = 1 .
if pread27 = 2 zpr27 = 1 .
if pread28 = 2 zpr28 = 1 .
if pread29 = 4 zpr29 = 1 .
if pread30 = 1 zpr30 = 1 .
if pread31 = 3 zpr31 = 1 .
if pread32 = 4 zpr32 = 1 .
if pread33 = 2 zpr33 = 1 .
if pread34 = 1 zpr34 = 1 .
if pread35 = 1 zpr35 = 1 .
if pread36 = 2 zpr36 = 1 .
if pread37 = 2 zpr37 = 1 .
if pread38 = 2 zpr38 = 1 .
if pread39 = 2 zpr39 = 1 .
if pread40 = 1 zpr40 = 1 .
if pread41 = 1 zpr41 = 1 .
if pread42 = 4 zpr42 = 1 .
if pread43 = 1 zpr43 = 1 .
if pread44 = 1 zpr44 = 1 .
if pread45 = 3 zpr45 = 1 .
if pread46 = 1 zpr46 = 1 .
if pread47 = 4 zpr47 = 1 .
if pread48 = 2 zpr48 = 1 .
if pread49 = 3 zpr49 = 1 .
if pread50 = 1 zpr50 = 1 .
if pread51 = 3 zpr51 = 1 .
if pread52 = 3 zpr52 = 1 .
if pread53 = 1 zpr53 = 1 .
if pread54 = 3 zpr54 = 1 .
if pread55 = 1 zpr55 = 1 .
if pread56 = 4 zpr56 = 1 .
if pread57 = 2 zpr57 = 1 .
if pread58 = 1 zpr58 = 1 .
if pread59 = 2 zpr59 = 1 .
if pread60 = 2 zpr60 = 1 .
if pread61 = 2 zpr61 = 1 .
if pread62 = 2 zpr62 = 1 .
if pread63 = 4 zpr63 = 1 .
if pread64 = 1 zpr64 = 1 .
if pread65 = 1 zpr65 = 1 .
if pread66 = 1 zpr66 = 1 .
if pread67 = 1 zpr67 = 1 .
if pread68 = 3 zpr68 = 1 .
if pread69 = 2 zpr69 = 1 .
if pread70 = 1 zpr70 = 1 .
if pread71 = 4 zpr71 = 1 .
if pread72 = 2 zpr72 = 1 .
if pread73 = 4 zpr73 = 1 .
if pread74 = 3 zpr74 = 1 .
if pread75 = 3 zpr75 = 1 .
if pread76 = 2 zpr76 = 1 .
if pread77 = 4 zpr77 = 1 .
if pread78 = 1 zpr78 = 1 .
if pread79 = 2 zpr79 = 1 .
if pread80 = 4 zpr80 = 1 .
if pread81 = 2 zpr81 = 1 .
if pread82 = 4 zpr82 = 1 .
if pread83 = 4 zpr83 = 1 .

compute zprsctot
 = zpr01 + zpr02 + zpr03 + zpr04 + zpr05 + zpr06 + zpr07 + zpr08 + zpr09 + zpr10
 + zpr11 + zpr12 + zpr13 + zpr14 + zpr15 + zpr16 + zpr17 + zpr18 + zpr19 + zpr20
 + zpr21 + zpr22 + zpr23 + zpr24 + zpr25 + zpr26 + zpr27 + zpr28 + zpr29 + zpr30
 + zpr31 + zpr32 + zpr33 + zpr34 + zpr35 + zpr36 + zpr37 + zpr38 + zpr39 + zpr40
 + zpr41 + zpr42 + zpr43 + zpr44 + zpr45 + zpr46 + zpr47 + zpr48 + zpr49 + zpr50
 + zpr51 + zpr52 + zpr53 + zpr54 + zpr55 + zpr56 + zpr57 + zpr58 + zpr59 + zpr60
 + zpr61 + zpr62 + zpr63 + zpr64 + zpr65 + zpr66 + zpr67 + zpr68 + zpr69 + zpr70
 + zpr71 + zpr72 + zpr73 + zpr74 + zpr75 + zpr76 + zpr77 + zpr78 + zpr79 + zpr80
 + zpr81 + zpr82 + zpr83.
formats zprsctot (f2.0).

compute zprrumm
 = zpr01 + zpr02 + zpr03 + zpr04 + zpr05 + zpr06 + zpr07 + zpr08 + zpr09 + zpr10
 + zpr11 + zpr12 + zpr13 + zpr14 + zpr15 + zpr16 + zpr17 + zpr18 + zpr19 + zpr20
 + zpr21 + zpr22 + zpr23 + zpr24 + zpr25 + zpr26 + zpr27 + zpr28 + zpr29 + zpr30
 + zpr31 + zpr32 + zpr33 + zpr34 + zpr35 + zpr36 + zpr37 + zpr38 + zpr39 + zpr40
 + zpr41 + zpr42 +             zpr44 + zpr45 + zpr46 + zpr47 + zpr48 + zpr49 + zpr50
 + zpr51 + zpr52 + zpr53 + zpr54 +             zpr56 + zpr57 + zpr58 + zpr59 + zpr60
 + zpr61 + zpr62 + zpr63 + zpr64 + zpr65 + zpr66 + zpr67 + zpr68 +             zpr70
 + zpr71 + zpr72 + zpr73 + zpr74 + zpr75 + zpr76 + zpr77 +             zpr79 + zpr80
 + zpr81 + zpr82 + zpr83.
formats zprrumm (f2.0).

compute zprrumes
 = zpr01 + zpr02 + zpr03 + zpr04 + zpr05 + zpr06 + zpr07 + zpr08 +             zpr10
 +             zpr12 + zpr13 +             zpr15 + zpr16 + zpr17 + zpr18 + zpr19 + zpr20
 + zpr21 + zpr22 + zpr23 + zpr24 + zpr25 + zpr26 + zpr27 + zpr28 + zpr29 + zpr30
 +             zpr32 + zpr33 + zpr34 + zpr35 + zpr36 + zpr37 + zpr38 + zpr39 + zpr40
 + zpr41 + zpr42 +             zpr44 + zpr45 + zpr46 + zpr47 + zpr48 + zpr49 + zpr50
 + zpr51 + zpr52 + zpr53 + zpr54 +             zpr56 + zpr57 + zpr58 + zpr59 + zpr60
 + zpr61 + zpr62 + zpr63 + zpr64 + zpr65 + zpr66 + zpr67 +                         zpr70
 + zpr71 + zpr72 + zpr73 + zpr74 + zpr75 + zpr76 + zpr77 +             zpr79 
 +             zpr82 .
formats zprrumes (f2.0).

*** Scoring Pupil Math Test ***.

compute zpm01 = 0 .
compute zpm02 = 0 .
compute zpm03 = 0 .
compute zpm04 = 0 .
compute zpm05 = 0 .
compute zpm06 = 0 .
compute zpm07 = 0 .
compute zpm08 = 0 .
compute zpm09 = 0 .
compute zpm10 = 0 .
compute zpm11 = 0 .
compute zpm12 = 0 .
compute zpm13 = 0 .
compute zpm14 = 0 .
compute zpm15 = 0 .
compute zpm16 = 0 .
compute zpm17 = 0 .
compute zpm18 = 0 .
compute zpm19 = 0 .
compute zpm20 = 0 .
compute zpm21 = 0 .
compute zpm22 = 0 .
compute zpm23 = 0 .
compute zpm24 = 0 .
compute zpm25 = 0 .
compute zpm26 = 0 .
compute zpm27 = 0 .
compute zpm28 = 0 .
compute zpm29 = 0 .
compute zpm30 = 0 .
compute zpm31 = 0 .
compute zpm32 = 0 .
compute zpm33 = 0 .
compute zpm34 = 0 .
compute zpm35 = 0 .
compute zpm36 = 0 .
compute zpm37 = 0 .
compute zpm38 = 0 .
compute zpm39 = 0 .
compute zpm40 = 0 .
compute zpm41 = 0 .
compute zpm42 = 0 .
compute zpm43 = 0 .
compute zpm44 = 0 .
compute zpm45 = 0 .
compute zpm46 = 0 .
compute zpm47 = 0 .
compute zpm48 = 0 .
compute zpm49 = 0 .
compute zpm50 = 0 .
compute zpm51 = 0 .
compute zpm52 = 0 .
compute zpm53 = 0 .
compute zpm54 = 0 .
compute zpm55 = 0 .
compute zpm56 = 0 .
compute zpm57 = 0 .
compute zpm58 = 0 .
compute zpm59 = 0 .
compute zpm60 = 0 .
compute zpm61 = 0 .
compute zpm62 = 0 .
compute zpm63 = 0 .

recode pmath01 to pmath63 (1=1) (2=2) (3=3) (4=4) (else=0).

if pmath01 = 2 zpm01 = 1 .
if pmath02 = 2 zpm02 = 1 .
if pmath03 = 3 zpm03 = 1 .
if pmath04 = 2 zpm04 = 1 .
if pmath05 = 2 zpm05 = 1 .
if pmath06 = 3 zpm06 = 1 .
if pmath07 = 4 zpm07 = 1 .
if pmath08 = 2 zpm08 = 1 .

if pmath09 = 2 zpm09 = 1 .
if pmath10 = 4 zpm10 = 1 .
if pmath11 = 1 zpm11 = 1 .
if pmath12 = 3 zpm12 = 1 .
if pmath13 = 2 zpm13 = 1 .
if pmath14 = 4 zpm14 = 1 .
if pmath15 = 3 zpm15 = 1 .
if pmath16 = 2 zpm16 = 1 .
if pmath17 = 2 zpm17 = 1 .
if pmath18 = 2 zpm18 = 1 .
if pmath19 = 1 zpm19 = 1 .
if pmath20 = 1 zpm20 = 1 .
if pmath21 = 2 zpm21 = 1 .
if pmath22 = 1 zpm22 = 1 .
if pmath23 = 3 zpm23 = 1 .
if pmath24 = 2 zpm24 = 1 .
if pmath25 = 2 zpm25 = 1 .
if pmath26 = 2 zpm26 = 1 .
if pmath27 = 4 zpm27 = 1 .
if pmath28 = 1 zpm28 = 1 .
if pmath29 = 3 zpm29 = 1 .
if pmath30 = 3 zpm30 = 1 .
if pmath31 = 2 zpm31 = 1 .
if pmath32 = 3 zpm32 = 1 .
if pmath33 = 2 zpm33 = 1 .
if pmath34 = 3 zpm34 = 1 .
if pmath35 = 2 zpm35 = 1 .
if pmath36 = 2 zpm36 = 1 .
if pmath37 = 2 zpm37 = 1 .
if pmath38 = 1 zpm38 = 1 .
if pmath39 = 3 zpm39 = 1 .
if pmath40 = 2 zpm40 = 1 .
if pmath41 = 4 zpm41 = 1 .
if pmath42 = 1 zpm42 = 1 .
if pmath43 = 4 zpm43 = 1 .
if pmath44 = 2 zpm44 = 1 .
if pmath45 = 3 zpm45 = 1 .
if pmath46 = 3 zpm46 = 1 .
if pmath47 = 2 zpm47 = 1 .
if pmath48 = 2 zpm48 = 1 .
if pmath49 = 1 zpm49 = 1 .
if pmath50 = 2 zpm50 = 1 .
if pmath51 = 3 zpm51 = 1 .
if pmath52 = 3 zpm52 = 1 .
if pmath53 = 2 zpm53 = 1 .
if pmath54 = 3 zpm54 = 1 .
if pmath55 = 2 zpm55 = 1 .
if pmath56 = 4 zpm56 = 1 .
if pmath57 = 3 zpm57 = 1 .
if pmath58 = 1 zpm58 = 1 .
if pmath59 = 1 zpm59 = 1 .
if pmath60 = 2 zpm60 = 1 .
if pmath61 = 3 zpm61 = 1 .
if pmath62 = 1 zpm62 = 1 .
if pmath63 = 1 zpm63 = 1 .

compute zpmsctot
 = zpm01 + zpm02 + zpm03 + zpm04 + zpm05 + zpm06 + zpm07 + zpm08 + zpm09 + zpm10
 + zpm11 + zpm12 + zpm13 + zpm14 + zpm15 + zpm16 + zpm17 + zpm18 + zpm19 + zpm20
 + zpm21 + zpm22 + zpm23 + zpm24 + zpm25 + zpm26 + zpm27 + zpm28 + zpm29 + zpm30
 + zpm31 + zpm32 + zpm33 + zpm34 + zpm35 + zpm36 + zpm37 + zpm38 + zpm39 + zpm40
 + zpm41 + zpm42 + zpm43 + zpm44 + zpm45 + zpm46 + zpm47 + zpm48 + zpm49 + zpm50
 + zpm51 + zpm52 + zpm53 + zpm54 + zpm55 + zpm56 + zpm57 + zpm58 + zpm59 + zpm60
 + zpm61 + zpm62 + zpm63.
formats zpmsctot (f2.0).

compute zpmrumm
 = zpm01 + zpm02 + zpm03 + zpm04 + zpm05 + zpm06 +              zpm08 + zpm09 + zpm10
 + zpm11 + zpm12 + zpm13 + zpm14 + zpm15 + zpm16 + zpm17 + zpm18 + zpm19 + zpm20
 + zpm21 + zpm22 + zpm23 + zpm24 + zpm25 + zpm26 + zpm27 + zpm28 + zpm29 + zpm30
 + zpm31 + zpm32 + zpm33 + zpm34 + zpm35 + zpm36 + zpm37 + zpm38 + zpm39 + zpm40
 +              zpm42 +               zpm44 + zpm45 + zpm46 + zpm47 + zpm48 + zpm49 + zpm50
 + zpm51 + zpm52 + zpm53 + zpm54 + zpm55 + zpm56 + zpm57 + zpm58 + zpm59 + zpm60
 + zpm61 + zpm62 + zpm63.
formats zpmrumm (f2.0).

compute zpmrumes
 = zpm01 + zpm02 + zpm03 + zpm04 + zpm05 + zpm06 +              zpm08 + zpm09 + zpm10
 + zpm11 + zpm12 + zpm13 + zpm14 + zpm15 + zpm16 + zpm17 + zpm18 + zpm19 + zpm20
 + zpm21 + zpm22 + zpm23 + zpm24 + zpm25 + zpm26 + zpm27 + zpm28 + zpm29 + zpm30
 + zpm31 + zpm32 + zpm33 + zpm34 + zpm35 + zpm36 + zpm37 + zpm38 + zpm39 + zpm40
 +              zpm42 +               zpm44 + zpm45 + zpm46 + zpm47 + zpm48 + zpm49 + zpm50
 + zpm51 + zpm52 + zpm53 + zpm54 + zpm55 + zpm56 + zpm57 + zpm58 + zpm59 + zpm60
 + zpm61 + zpm62 + zpm63.
formats zpmrumes (f2.0).

*** Scoring Teacher Reading Test ***.

compute ztr01 = 0 .
compute ztr02 = 0 .
compute ztr03 = 0 .
compute ztr04 = 0 .
compute ztr05 = 0 .
compute ztr06 = 0 .
compute ztr07 = 0 .
compute ztr08 = 0 .
compute ztr09 = 0 .
compute ztr10 = 0 .
compute ztr11 = 0 .
compute ztr12 = 0 .
compute ztr13 = 0 .
compute ztr14 = 0 .
compute ztr15 = 0 .
compute ztr16 = 0 .
compute ztr17 = 0 .
compute ztr18 = 0 .
compute ztr19 = 0 .
compute ztr20 = 0 .
compute ztr21 = 0 .
compute ztr22 = 0 .
compute ztr23 = 0 .
compute ztr24 = 0 .
compute ztr25 = 0 .
compute ztr26 = 0 .
compute ztr27 = 0 .
compute ztr28 = 0 .
compute ztr29 = 0 .
compute ztr30 = 0 .
compute ztr31 = 0 .
compute ztr32 = 0 .
compute ztr33 = 0 .
compute ztr34 = 0 .
compute ztr35 = 0 .
compute ztr36 = 0 .
compute ztr37 = 0 .
compute ztr38 = 0 .
compute ztr39 = 0 .
compute ztr40 = 0 .
compute ztr41 = 0 .
compute ztr42 = 0 .
compute ztr43 = 0 .
compute ztr44 = 0 .
compute ztr45 = 0 .
compute ztr46 = 0 .
compute ztr47 = 0 .
compute ztr48 = 0 .
compute ztr49 = 0 .

recode tread01 to tread49 (1=1) (2=2) (3=3) (4=4) (else=0).

if tread01 = 2 ztr01 = 1 .
if tread02 = 3 ztr02 = 1 .
if tread03 = 2 ztr03 = 1 .
if tread04 = 2 ztr04 = 1 .
if tread05 = 1 ztr05 = 1 .
if tread06 = 2 ztr06 = 1 .
if tread07 = 4 ztr07 = 1 .
if tread08 = 3 ztr08 = 1 .
if tread09 = 4 ztr09 = 1 .
if tread10 = 1 ztr10 = 1 .
if tread11 = 4 ztr11 = 1 .
if tread12 = 3 ztr12 = 1 .
if tread13 = 1 ztr13 = 1 .
if tread14 = 1 ztr14 = 1 .
if tread15 = 1 ztr15 = 1 .
if tread16 = 1 ztr16 = 1 .
if tread17 = 3 ztr17 = 1 .
if tread18 = 2 ztr18 = 1 .
if tread19 = 2 ztr19 = 1 .
if tread20 = 3 ztr20 = 1 .
if tread21 = 2 ztr21 = 1 .
if tread22 = 2 ztr22 = 1 .
if tread23 = 2 ztr23 = 1 .
if tread24 = 3 ztr24 = 1 .
if tread25 = 1 ztr25 = 1 .
if tread26 = 4 ztr26 = 1 .
if tread27 = 2 ztr27 = 1 .
if tread28 = 2 ztr28 = 1 .
if tread29 = 2 ztr29 = 1 .
if tread30 = 1 ztr30 = 1 .
if tread31 = 1 ztr31 = 1 .
if tread32 = 3 ztr32 = 1 .
if tread33 = 3 ztr33 = 1 .
if tread34 = 1 ztr34 = 1 .
if tread35 = 2 ztr35 = 1 .
if tread36 = 3 ztr36 = 1 .
if tread37 = 2 ztr37 = 1 .
if tread38 = 4 ztr38 = 1 .
if tread39 = 3 ztr39 = 1 .
if tread40 = 3 ztr40 = 1 .
if tread41 = 4 ztr41 = 1 .
if tread42 = 2 ztr42 = 1 .
if tread43 = 1 ztr43 = 1 .
if tread44 = 2 ztr44 = 1 .
if tread45 = 3 ztr45 = 1 .
if tread46 = 1 ztr46 = 1 .
if tread47 = 1 ztr47 = 1 .
if tread48 = 1 ztr48 = 1 .
if tread49 = 3 ztr49 = 1 .

compute ztrsctot
 = ztr01 + ztr02 + ztr03 + ztr04 + ztr05 + ztr06 + ztr07 + ztr08 + ztr09 + ztr10
 + ztr11 + ztr12 + ztr13 + ztr14 + ztr15 + ztr16 + ztr17 + ztr18 + ztr19 + ztr20
 + ztr21 + ztr22 + ztr23 + ztr24 + ztr25 + ztr26 + ztr27 + ztr28 + ztr29 + ztr30
 + ztr31 + ztr32 + ztr33 + ztr34 + ztr35 + ztr36 + ztr37 + ztr38 + ztr39 + ztr40
 + ztr41 + ztr42 + ztr43 + ztr44 + ztr45 + ztr46 + ztr47 + ztr48 + ztr49.
formats ztrsctot (f2.0).

compute ztrrumm
 = ztr01 + ztr02 + ztr03 + ztr04 + ztr05 + ztr06 + ztr07 + ztr08 + ztr09 + ztr10
 + ztr11 + ztr12 + ztr13 + ztr14 + ztr15 + ztr16 + ztr17 +             ztr19 + ztr20
 + ztr21 + ztr22 + ztr23 + ztr24 + ztr25 + ztr26 + ztr27 + ztr28 + ztr29 + ztr30
 + ztr31 + ztr32 + ztr33 + ztr34 + ztr35 + ztr36 + ztr37 + ztr38 + ztr39 + ztr40
 + ztr41 + ztr42 +            ztr44 + ztr45 + ztr46 + ztr47 + ztr48 + ztr49.
formats ztrrumm (f2.0).

*** Scoring Teacher Math Test ***.

compute ztm01 = 0 .
compute ztm02 = 0 .
compute ztm03 = 0 .
compute ztm04 = 0 .
compute ztm05 = 0 .
compute ztm06 = 0 .
compute ztm07 = 0 .
compute ztm08 = 0 .
compute ztm09 = 0 .
compute ztm10 = 0 .
compute ztm11 = 0 .
compute ztm12 = 0 .
compute ztm13 = 0 .
compute ztm14 = 0 .
compute ztm15 = 0 .
compute ztm16 = 0 .
compute ztm17 = 0 .
compute ztm18 = 0 .
compute ztm19 = 0 .
compute ztm20 = 0 .
compute ztm21 = 0 .
compute ztm22 = 0 .
compute ztm23 = 0 .
compute ztm24 = 0 .
compute ztm25 = 0 .
compute ztm26 = 0 .
compute ztm27 = 0 .
compute ztm28 = 0 .
compute ztm29 = 0 .
compute ztm30 = 0 .
compute ztm31 = 0 .
compute ztm32 = 0 .
compute ztm33 = 0 .
compute ztm34 = 0 .
compute ztm35 = 0 .
compute ztm36 = 0 .
compute ztm37 = 0 .
compute ztm38 = 0 .
compute ztm39 = 0 .
compute ztm40 = 0 .
compute ztm41 = 0 .

recode tmath01 to tmath41 (1=1) (2=2) (3=3) (4=4) (else=0).

if tmath01 = 4 ztm01 = 1 .
if tmath02 = 4 ztm02 = 1 .
if tmath03 = 1 ztm03 = 1 .
if tmath04 = 2 ztm04 = 1 .
if tmath05 = 3 ztm05 = 1 .
if tmath06 = 3 ztm06 = 1 .
if tmath07 = 3 ztm07 = 1 .
if tmath08 = 3 ztm08 = 1 .
if tmath09 = 4 ztm09 = 1 .
if tmath10 = 4 ztm10 = 1 .
if tmath11 = 2 ztm11 = 1 .
if tmath12 = 3 ztm12 = 1 .
if tmath13 = 3 ztm13 = 1 .
if tmath14 = 2 ztm14 = 1 .
if tmath15 = 2 ztm15 = 1 .
if tmath16 = 2 ztm16 = 1 .
if tmath17 = 3 ztm17 = 1 .
if tmath18 = 4 ztm18 = 1 .
if tmath19 = 2 ztm19 = 1 .
if tmath20 = 2 ztm20 = 1 .
if tmath21 = 2 ztm21 = 1 .
if tmath22 = 2 ztm22 = 1 .
if tmath23 = 3 ztm23 = 1 .
if tmath24 = 2 ztm24 = 1 .
if tmath25 = 1 ztm25 = 1 .
if tmath26 = 2 ztm26 = 1 .
if tmath27 = 3 ztm27 = 1 .
if tmath28 = 1 ztm28 = 1 .
if tmath29 = 2 ztm29 = 1 .
if tmath30 = 2 ztm30 = 1 .
if tmath31 = 4 ztm31 = 1 .
if tmath32 = 3 ztm32 = 1 .
if tmath33 = 1 ztm33 = 1 .
if tmath34 = 3 ztm34 = 1 .
if tmath35 = 3 ztm35 = 1 .
if tmath36 = 3 ztm36 = 1 .
if tmath37 = 3 ztm37 = 1 .
if tmath38 = 3 ztm38 = 1 .
if tmath39 = 2 ztm39 = 1 .
if tmath40 = 3 ztm40 = 1 .
if tmath41 = 3 ztm41 = 1 .

compute ztmsctot
 = ztm01 + ztm02 + ztm03 + ztm04 + ztm05 + ztm06 + ztm07 + ztm08 + ztm09 + ztm10
 + ztm11 + ztm12 + ztm13 + ztm14 + ztm15 + ztm16 + ztm17 + ztm18 + ztm19 + ztm20
 + ztm21 + ztm22 + ztm23 + ztm24 + ztm25 + ztm26 + ztm27 + ztm28 + ztm29 + ztm30
 + ztm31 + ztm32 + ztm33 + ztm34 + ztm35 + ztm36 + ztm37 + ztm38 + ztm39 + ztm40
 + ztm41.
formats ztmsctot (f2.0).

compute ztmrumm
 = ztm01 + ztm02 + ztm03 + ztm04 + ztm05 + ztm06 + ztm07 + ztm08 + ztm09 + ztm10
 + ztm11 + ztm12 + ztm13 + ztm14 + ztm15 + ztm16 + ztm17 + ztm18 + ztm19 + ztm20
 + ztm21 + ztm22 + ztm23 + ztm24 + ztm25 + ztm26 + ztm27 + ztm28 + ztm29 + ztm30
 + ztm31 + ztm32 + ztm33 + ztm34 + ztm35 + ztm36 + ztm37 + ztm38 + ztm39 + ztm40
 + ztm41.
formats ztmrumm (f2.0).

compute diffRAp=zprrumm -ratotp .
compute diffREp=zprrumes -retotp .

FREQUENCIES
  VARIABLES=diffRAp diffREp
  /ORDER  ANALYSIS .

compute diffMAp= zpmrumm-matotp.
compute diffMEp= zpmrumes -metotp.

FREQUENCIES
  VARIABLES=diffMAp diffMEp
  /ORDER  ANALYSIS .

compute diffRAt=ztrrumm -ratott .

FREQUENCIES
  VARIABLES=diffRAt
  /ORDER  ANALYSIS .

compute diffMAt=ztmrumm -matott .

FREQUENCIES
  VARIABLES=diffMAt
  /ORDER  ANALYSIS .